[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'PopupNotifier' (#lcl)

# TNotifierXButton.Create

Constructor for the class instance.

## Declaration

Source position: popupnotifier.pas line 48

`public constructor TNotifierXButton.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner for the class instance.

## Description

Create is the constructor for the class instance. Create calls the inherited constructor using AOwner as the owner for the class instance. Create sets the initial value for the internal state tracking member to nbsUp. Create sets the event handlers in the class instance to the following private methods:

OnMouseUp
  HandleMouseUp
OnMouseDown
  HandleMouseDown